Does Dashing require RequireJS?

On a relatively clean install of Yosemite, I followed the instructions to get Dashing up and running (sudo gem install bundler and sudo gem install dashing), and that looks great. But when I try to add a job with these lines at the top

require 'net/http'
require 'json'

The browsers throw out this error

ReferenceError: require is not defined

with a link to this line in assets/application.js (which doesn’t seem to exist on disk)

var http = require('http');

My current theory is that I should have installed RequireJS in here somehow, but I can’t find anyone else asking this question which is odd.


Source: ruby

Leave a Reply